ReferenceAgents, threads and templates
Rename a conversation
PATCH
agentId*stringFormat
uuidthreadId*stringClient-chosen thread ID (1-64 letters, digits, dashes or underscores)
Match
^[A-Za-z0-9_-]{1,64}$application/json- body
title*stringLength
length <= 200The thread
application/json- response
data*curl -X PATCH 'https://agents.example.com/v1/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/threads/string' \ -H 'Content-Type: application/json' \ -d '{ "title": "string"}'{ "data": { "threadId": "string", "title": "string", "createdAt": 0, "updatedAt": 0, "busy": true, "lastReplyAt": 0, "lastError": "string", "visibility": "shared", "createdBy": { "kind": "user", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "participants": [ { "kind": "user", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "lastSentAt": 0 } ] }}